/*
 *    gnirc - Another IRC client for X 
 *    Copyright (C) 1998  david Ramboz <dramboz@imaginet.fr>
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 */
 
static char * ball_blue_xpm[] = {
/* width height ncolors chars_per_pixel */
"14 14 5 1",
/* colors */
" 	s None	c None",
"o	c sky blue",
".	c dodger blue",
"X	c blue",
"O	c navy",
/* pixels */
"              ",
"              ",
"     ...X     ",
"   o.....X.   ",
"   ..oo..XX   ",
"  ..oo...XXO  ",
"  ......XXXO  ",
"  X...XXXXOO  ",
"  XXXXXXXOOO  ",
"   OXXXOOOO   ",
"   XOOOOOOX   ",
"     OOOO     ",
"              ",
"              "};

static char * ball_orange_xpm[] = {
/* width height ncolors chars_per_pixel */
"14 14 5 1",
/* colors */
" 	s None	c None",
"o	c yellow",
".	c gold",
"X	c orange",
"O	c peru",
/* pixels */
"              ",
"              ",
"     ...X     ",
"   o.....X.   ",
"   ..oo..XX   ",
"  ..oo...XXO  ",
"  ......XXXO  ",
"  X...XXXXOO  ",
"  XXXXXXXOOO  ",
"   OXXXOOOO   ",
"   XOOOOOOX   ",
"     OOOO     ",
"              ",
"              "};

static char * ball_white_xpm[] = {
/* width height ncolors chars_per_pixel */
"14 14 5 1",
/* colors */
" 	s None	c None",
".	c gainsboro",
"X	c grey",
"o	c white",
"O	c slate grey",
/* pixels */
"              ",
"              ",
"     ...X     ",
"   o.....X.   ",
"   ..oo..XX   ",
"  ..oo...XXO  ",
"  ......XXXO  ",
"  X...XXXXOO  ",
"  XXXXXXXOOO  ",
"   OXXXOOOO   ",
"   XOOOOOOX   ",
"     OOOO     ",
"              ",
"              "};

static char * feet_xpm[] = {
/* width height ncolors chars_per_pixel */
"55 66 6 1",
/* colors */
" 	s None	c None",
".	c black",
"X	c sienna",
"o	c firebrick",
"O	c tomato",
"+	c tan",
/* pixels */
"                                                       ",
"                                                       ",
"                  ....                                 ",
"           ...   ......                                ",
"          .....  ......                                ",
"          ...... ......   ...                          ",
"          ...... ......  .....                         ",
"          ...... ...... .......                        ",
"     ....  .....  ....  .......                        ",
"    ......  ...   ....  .......                        ",
"    ......              .......                        ",
"    ......               ......                        ",
"     .....   XoXXoXXXoX  .....                         ",
"       .. XoXXXoXXXXoXXo  ...                          ",
"   ...   XoXXoXXoXoXXXoXX                              ",
"  ..... XoXXoXXXXoXXXoXXoX                             ",
"  .....XXXoXXoXoXXoXXXoXXo                             ",
"  .....XoXXoXXXXoXXXoXXoXX                             ",
"   .. XoXXXXoXoXXoXoXXXXoX                             ",
"      oXXXoXXoXXXXoXXXoXXo                             ",
"      XXoXXoXXoXoXXXoXXoX                              ",
"      XoXXoXXXXoXXXoXXoX         OOO+                  ",
"      oXXoXXoXXXoXXXoXX         O+O+O+   O+O           ",
"       XoXXoXXoXXoXoXX          +O+OOO  O+OO+          ",
"       XXoXXoXXoXXoXX     +OO   OOO+O+ +OO+OO          ",
"       oXXoXXoXXoXXXX    +OO+O  +O+O+O O+OO+O          ",
"        oXXXXXoXXoXo    OO+OOOO OOO+OO OO+OO+          ",
"        XXXoXoXXXXoX    O+O+O+O  O+OO  O+OO+  ++OO     ",
"         oXXoXXoXXXo    +OOO+O+  +O+O   O+O  OOO+OO    ",
"         XoXXXoXXoXXo   O+O+OOO              O++OO+    ",
"         XXoXXXoXXoXXo  OO+O+O               OOO+OO    ",
"         oXXXoXXoXXoXX   +OOO+  ..........   O++OO     ",
"         XoXoXXXXoXXoXo   OOO  .............. OO       ",
"          XXXXoXoXXXXoX       ................   +O+   ",
"          oXXoXXXoXoXXXo     .................. +O+O+  ",
"          XXoXXoXXoXXXoX     ...................OOO+O  ",
"           XXoXXoXXXoXXo     ................... OOO+  ",
"           oXXoXXXoXXoXX     ....................+O+   ",
"           XoXXoXXXoXXoX     ....................      ",
"           XXoXXXoXXoXXX      ...................      ",
"            XXoXoXXXXoXo       ..................      ",
"            oXXoXXXoXXo         .................      ",
"            XoXXXoXXoX           ...............       ",
"             XXXoXXoX             ..............       ",
"               XXoX               ..............       ",
"                                   ............        ",
"                                   ............        ",
"                                   ...........         ",
"                                  ............         ",
"                                 .............         ",
"                                 .............         ",
"                                ..............         ",
"                                .............          ",
"                               ..............          ",
"                               ..............          ",
"                               .............           ",
"                               .............           ",
"                               .............           ",
"                               .............           ",
"                               ............            ",
"                                ...........            ",
"                                 ..........            ",
"                                  ........             ",
"                                    ....               ",
"                                                       ",
"                                                       "};
